aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKeith Burns <alagalah@gmail.com>2016-09-19 18:24:19 +0000
committerGerrit Code Review <gerrit@fd.io>2016-09-19 18:24:19 +0000
commitcd981a88f34adb203a1b4a9603a459d8ed8cd037 (patch)
tree64608902a9d1b15522002d12429d742340ebffe4
parentd3ba5e5b26c5c7c60df2aa31704c90997aaac2ad (diff)
parentb4a4277a118696634eb75b4f5476b97f4fbbd721 (diff)
Merge "Only build packages, don't do a fresh make install afterward" into stable/1609
-rwxr-xr-xnsh-plugin/build.sh12
1 files changed, 10 insertions, 2 deletions
diff --git a/nsh-plugin/build.sh b/nsh-plugin/build.sh
index 81e75b8..a737043 100755
--- a/nsh-plugin/build.sh
+++ b/nsh-plugin/build.sh
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
-
+set -xe -o pipefail
# Figure out what system we are running on
if [ -f /etc/lsb-release ];then
. /etc/lsb-release
@@ -33,8 +33,16 @@ autoreconf -i -f
cd build
../configure --prefix ${NSH_INSTALL_PREFIX}
if [ $DISTRIB_ID == "CentOS" ]; then
+ echo "Start building rpms"
make V=1 PATH=${PATH} pkg-rpm
+ echo "Finished building rpms"
elif [ $DISTRIB_ID == "Ubuntu" ]; then
+ echo "Start building debs"
make V=1 PATH=${PATH} pkg-deb
+ echo "Finished building debs"
+else
+ echo "Not packing. Start make install"
+ ${SUDOCMD-sudo} make PATH=${PATH} install
+ echo "Not packing. Finished make install"
fi
-${SUDOCMD-sudo} make PATH=${PATH} install
+